تحديث — الخصائص والقيم
تغيير وإعادة ترتيب تعريفات وقيم ميزات المنتج.
PATCH
/api/v1/features/{identity}طلب cURL
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request PATCH \
--url https://shop.onshopently.com/api/v1/features/example \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
--header 'Idempotency-Key: example-update_feature_api_v1_features__identity__patch' \
--header 'Content-Type: application/json' \
--data-raw '{"expected_version":1,"name":"Example"}'
الاستجابة
{
"data": {
"deleted": false,
"id": "example",
"version": 1
},
"meta": {
"request_id": "example"
}
}
الصلاحيات المطلوبة
- المصادقة
- رمز الوصول
- متاح بدءًا من
- STANDARD
- صلاحية المفتاح
- تحرير الميزات
catalog.feature:update